org.icefaces.ace.component.chart

## Enum ChartBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ChartBase.PropertyKeys>
  - - org.icefaces.ace.component.chart.ChartBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChartBase.PropertyKeys>
  Enclosing class:
    ChartBase

      protected static enum ChartBase.PropertyKeys
      extends java.lang.Enum<ChartBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `animated`
    `cursor`
    `defaultAxesConfig`
    `defaultSeriesColors`
    `defaultSeriesConfig`
    `height`
    `hiddenInitPolling`
    `highlighter`
    `highlighterAxes`
    `highlighterBringSeriesToFront`
    `highlighterFormatString`
    `highlighterLocation`
    `highlighterShowMarker`
    `highlighterYValueCount`
    `imageExportListener`
    `legend`
    `legendLocation`
    `legendPlacement`
    `pointChangeListener`
    `selectListener`
    `showTooltip`
    `stackSeries`
    `style`
    `title`
    `value`
    `widgetVar`
    `width`
    `x2Axis`
    `xAxis`
    `yAxes`
    `zoom`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ChartBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChartBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### animated

          public static final ChartBase.PropertyKeys animated

    - #### cursor

          public static final ChartBase.PropertyKeys cursor

    - #### defaultAxesConfig

          public static final ChartBase.PropertyKeys defaultAxesConfig

    - #### defaultSeriesColors

          public static final ChartBase.PropertyKeys defaultSeriesColors

    - #### defaultSeriesConfig

          public static final ChartBase.PropertyKeys defaultSeriesConfig

    - #### height

          public static final ChartBase.PropertyKeys height

    - #### hiddenInitPolling

          public static final ChartBase.PropertyKeys hiddenInitPolling

    - #### highlighter

          public static final ChartBase.PropertyKeys highlighter

    - #### highlighterAxes

          public static final ChartBase.PropertyKeys highlighterAxes

    - #### highlighterBringSeriesToFront

          public static final ChartBase.PropertyKeys highlighterBringSeriesToFront

    - #### highlighterFormatString

          public static final ChartBase.PropertyKeys highlighterFormatString

    - #### highlighterLocation

          public static final ChartBase.PropertyKeys highlighterLocation

    - #### highlighterShowMarker

          public static final ChartBase.PropertyKeys highlighterShowMarker

    - #### highlighterYValueCount

          public static final ChartBase.PropertyKeys highlighterYValueCount

    - #### imageExportListener

          public static final ChartBase.PropertyKeys imageExportListener

    - #### legend

          public static final ChartBase.PropertyKeys legend

    - #### legendLocation

          public static final ChartBase.PropertyKeys legendLocation

    - #### legendPlacement

          public static final ChartBase.PropertyKeys legendPlacement

    - #### pointChangeListener

          public static final ChartBase.PropertyKeys pointChangeListener

    - #### selectListener

          public static final ChartBase.PropertyKeys selectListener

    - #### showTooltip

          public static final ChartBase.PropertyKeys showTooltip

    - #### stackSeries

          public static final ChartBase.PropertyKeys stackSeries

    - #### style

          public static final ChartBase.PropertyKeys style

    - #### title

          public static final ChartBase.PropertyKeys title

    - #### value

          public static final ChartBase.PropertyKeys value

    - #### widgetVar

          public static final ChartBase.PropertyKeys widgetVar

    - #### width

          public static final ChartBase.PropertyKeys width

    - #### x2Axis

          public static final ChartBase.PropertyKeys x2Axis

    - #### xAxis

          public static final ChartBase.PropertyKeys xAxis

    - #### yAxes

          public static final ChartBase.PropertyKeys yAxes

    - #### zoom

          public static final ChartBase.PropertyKeys zoom

  - ### Method Detail

    - #### values

          public static ChartBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChartBase.PropertyKeys c : ChartBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChartBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ChartBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.